@echo off
setlocal
set project=FRename3
set project_title=FRename
set project_url=http://www.pepak.net/software/far-manager-frename
set packext=zip

if "%~1"=="" goto syntax
set version=%1

if exist "%srcdir%%project%.res" updver.exe -v %version% "%srcdir%%project%.res"
if exist ..\%project%-%version%.%packext% del ..\%project%-%version%.%packext%
if exist ..\%project%-%version%-source.zip del ..\%project%-%version%-source.zip
call clean.bat
call build.bat delphi release far2 x86 %2 %3 %4 %5 %6 %7 %8 %9
call build.bat delphi release far3 x86 %2 %3 %4 %5 %6 %7 %8 %9
call build.bat delphi release far2 x64 %2 %3 %4 %5 %6 %7 %8 %9
call build.bat delphi release far3 x64 %2 %3 %4 %5 %6 %7 %8 %9
call sign "%project_title% FAR2/x86 v%version%" "%project_url%" "..\bin\%project%.far2.x86.dll"
call sign "%project_title% FAR3/x86 v%version%" "%project_url%" "..\bin\%project%.far3.x86.dll"
call sign "%project_title% FAR2/x64 v%version%" "%project_url%" "..\bin\%project%.far2.x64.dll"
call sign "%project_title% FAR3/x64 v%version%" "%project_url%" "..\bin\%project%.far3.x64.dll"
call clean.bat
pushd ..\bin
kzip /r "..\%project%-%version%.%packext%"
popd
pushd ..
kzip /r "%project%-%version%-source.%packext%" bin\* source\*
popd
goto :eof

:syntax
echo build-rel ^<version^> [build-arguments]
goto :eof
